#!/bin/sh

# build my info/dep file(s) and copy into /tmp before running script
# I prefer wget to use no clobber as I retest the script

# build depends 
tce-load -i compiletc submitqc4 wget ncursesw-dev ncurses-dev gettext libtool
tce-load -i m4 autoconf

# download and unpack stuff
# http://aspell.net/ is main site but used mirror for speed
cd /tmp
wget -nc http://mirror.optusnet.com.au/gnu/aspell/aspell-0.60.6.1.tar.gz
gunzip aspell-0.60.6.1.tar.gz
tar xvf aspell-0.60.6.1.tar

# extension wiki 
export CFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export CXXFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export LDFLAGS="-Wl,-O1"

## aspell part one 
##################

cd aspell-0.60.6.1/
./configure --prefix=/usr/local --enable-curses=/usr/local/lib/libncursesw.so --disable-nls --enable-maintainer-mode
make -j3
make DESTDIR=/tmp/aspell install

# docs
###########
cd /tmp
mkdir -p aspell-doc/usr/local/share/
mv aspell/usr/local/share/info aspell-doc/usr/local/share/
mv aspell/usr/local/share/man aspell-doc/usr/local/share/
mv aspell/usr/local/lib/aspell-0.60/*.info aspell-doc/usr/local/share/info
rm -r -f aspell/usr/local/share

mksquashfs aspell-doc aspell-doc.tcz
md5sum aspell-doc.tcz > aspell-doc.tcz.md5.txt
cd aspell-doc
find usr -not -type d > aspell-doc.tcz.list
mv -f aspell-doc.tcz.list /tmp


# dev
#########
cd /tmp
mkdir -p aspell-dev/usr/local/lib/aspell-0.60
mv aspell/usr/local/include aspell-dev/usr/local
mv aspell/usr/local/lib/*.la aspell-dev/usr/local/lib
mv aspell/usr/local/lib/aspell-0.60/*.la aspell-dev/usr/local/lib/aspell-0.60

mksquashfs aspell-dev aspell-dev.tcz
md5sum aspell-dev.tcz > aspell-dev.tcz.md5.txt
cd aspell-dev
find usr -not -type d > aspell-dev.tcz.list
mv -f aspell-dev.tcz.list /tmp


# aspell part 2
# don't make a lib leave the rest in main
# for safety sake
###################
cd /tmp
mksquashfs aspell aspell.tcz
md5sum aspell.tcz > aspell.tcz.md5.txt
cd aspell
find usr -not -type d > aspell.tcz.list
mv -f aspell.tcz.list /tmp


# finish off test for all
#########################
cd /tmp
submitqc4
